Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class SCXML

    java.lang.Object
      org.apache.commons.scxml.model.SCXML

All Implemented Interfaces:
  Serializable

public class SCXML
extends Object
implements Serializable

The class in this SCXML object model that corresponds to the <scxml> root element, and serves as the "document root".

See Also:
  Serialized Form

Field Summary
`static String` | `XMLNS` The SCXML XMLNS.

Constructor Summary
`SCXML()` Constructor.

Method Summary
`void` | `addState(State state)` Add a child state.
`void` | `addTarget(TransitionTarget target)` Add a target to this SCXML document.
`Datamodel` | `getDatamodel()` Get the data model placed at document root.
`String` | `getInitialstate()` Get the ID of the initial state.
`State` | `getInitialState()` Get the initial State.
`Map` | `getStates()` Get the children states.
`Map` | `getTargets()` Get the targets map, whichis a Map of all States and Parallels associated with this state machine, keyed by their id.
`String` | `getVersion()` Get the SCXML document version.
`String` | `getXmlns()` Get the xmlns of this SCXML document.
`void` | `setDatamodel(Datamodel datamodel)` Set the data model at document root.
`void` | `setInitialState(State initialState)` Set the initial State.
`void` | `setInitialstate(String initialstate)` Set the ID of the initial state.
`void` | `setVersion(String version)` Set the SCXML document version.
`void` | `setXmlns(String xmlns)` Set the xmlns of this SCXML document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XMLNS

    public static final String XMLNS

  The SCXML XMLNS.

  See Also:
    Constant Field Values

Constructor Detail

### SCXML

    public SCXML()

  Constructor.

Method Detail

### getInitialState

    public final State getInitialState()

  Get the initial State.

  Returns:
    State Returns the initialstate.

### setInitialState

    public final void setInitialState(State initialState)

  Set the initial State.

  Parameters:
    `initialState` - The initialstate to set.

### getDatamodel

    public final Datamodel getDatamodel()

  Get the data model placed at document root.

  Returns:
    Returns the data model.

### setDatamodel

    public final void setDatamodel(Datamodel datamodel)

  Set the data model at document root.

  Parameters:
    `datamodel` - The Datamodel to set.

### getStates

    public final Map getStates()

  Get the children states.

  Returns:
    Map Returns map of the child states.

### addState

    public final void addState(State state)

  Add a child state.

  Parameters:
    `state` - The state to be added to the states Map.

### getTargets

    public final Map getTargets()

  Get the targets map, whichis a Map of all States and Parallels associated with this state machine, keyed by their id.

  Returns:
    Map Returns the targets.

### addTarget

    public final void addTarget(TransitionTarget target)

  Add a target to this SCXML document.

  Parameters:
    `target` - The target to be added to the targets Map.

### getVersion

    public final String getVersion()

  Get the SCXML document version.

  Returns:
    Returns the version.

### setVersion

    public final void setVersion(String version)

  Set the SCXML document version.

  Parameters:
    `version` - The version to set.

### getXmlns

    public final String getXmlns()

  Get the xmlns of this SCXML document.

  Returns:
    Returns the xmlns.

### setXmlns

    public final void setXmlns(String xmlns)

  Set the xmlns of this SCXML document.

  Parameters:
    `xmlns` - The xmlns to set.

### getInitialstate

    public final String getInitialstate()

  Get the ID of the initial state.

  Returns:
    String Returns the initial state ID (used by XML Digester only).
  See Also:
    `getInitialState()`

### setInitialstate

    public final void setInitialstate(String initialstate)

  Set the ID of the initial state.

  Parameters:
    `initialstate` - The initial state ID (used by XML Digester only).
  See Also:
    `setInitialState(State)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2006 The Apache Software Foundation. All Rights Reserved.